X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

When will mozilla upgrade to TLS 1.2? This is VERY important to me. I'm now using Opera for any HTTPS websites and that includes banking, Facebook, and Gmail. RE: http://www.theregister.co.uk/2011/09/19/beast_exploits_paypal_ssl/

Posted

TLS 1.0 is too old and now proven ineffective.

Additional System Details

This happened

Not sure how often

This started when...

September 19

Installed Plug-ins

  • Google Talk Plugin Video Accelerator version:0.1.43.7
  • Version 2.0.7.0
  • Office Plugin for Netscape Navigator
  • np-mswmp
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 10.3 r183
  • Google Update
  • Unity Player 3.3.0f4
  • Pando Web Plugin
  • Adobe Shockwave for Director Netscape plug-in, version 11.5
  • iTunes Detector Plug-in
  • 4.0.60531.0
  • Version 1.1.0, copyright 1996-2010 The VideoLAN Teamhttp://www.videolan.org/
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0.2) Gecko/20100101 Firefox/6.0.2

More Information

James
  • Top 25 Contributor
  • Moderator
437 solutions 3165 answers

Helpful Reply

Bug 480514 - Implement support for TLS 1.2 (RFC 5246)

Bug 565047 - (RFC4346) Implement TLS 1.1 (RFC 4346)

Bug 422232 - Support new revisions to TLS protocol in PSM, once NSS does


Please do not comment in the above bugs (unless you have a patch or such) as Bugzilla is not a discussion forum and already has enough bug spam which can impact on bugs getting fixed. https://bugzilla.mozilla.org/page.cgi?id=etiquette.html

Modified by James